Covid19.tcl

Version 1.3.5

DESCRIPTION:
Shows realtime stats about the COVID-19 CORONAVIRUS OUTBREAK. These are taken from the site https://www.worldometers.info/coronavirus/ by command and also auto if something changes from the last information given. (RSS type)

Version 1.1 — If [country] isnt specified it will show the global statistics

Version 1.2 – Solved the issues caused by the layout change of the source

Version 1.2.1 – Added some new countries and places

Version 1.2.2 – Solved an issue related to https connection

Version 1.3 — Solved some issues related to page layout
— Added some more details from the page

Version 1.3.1 — added difference between today and yesterday for active cases, recovered, serious cases, tests for countries
— solved some bugs related to settng your default country

— added spanish language support

Version 1.3.2 — added last updated entry to channel output

Version 1.3.3 — added total stats for continents Europe, North America, Asia, South America, Africa, Oceania
— soved issue with GLOBAL stats output

Version 1.3.4 — solved some issues due to page info modification
— solved some little bugs

Version 1.3.5 — solved some issues due to page info modification
— added population for countries
— added difference between today and yesterday for active cases, recovered, serious cases for global and continents

Latest Countries update : 15.05.2020

#####################################################################################################

If you want to install the latest tls to work :

First remove the tls-tcl (if installed)

sudo apt remove tcl-tls

For Ubuntu/Debian X64

wget http://archive.ubuntu.com/ubuntu/pool/universe/t/tcltls/tcl-tls_1.7.18-2_amd64.deb

For Ubuntu/Debian X86

wget http://archive.ubuntu.com/ubuntu/pool/universe/t/tcltls/tcl-tls_1.7.18-2_i386.deb

Then:

sudo dpkg -i

####################################################################################################

Other method :

If you receive the following error : Tcl error [corona:pub]: wrong # args: should be “tls::socket ?options? host port” it means that you dont have the latest tls package installed. If you dont want to install it try this following method.

cd /tmp
wget https://core.tcl-lang.org/tcltls/uv/tcltls-1.7.20.tar.gz
tar -xzf tcltls-1.7.20.tar.gz
cd tcltls-1.7.20
./configure
make (as root)
make install

You must log in to submit a review.